package com.ruoyi.system.domain.visit.ext;

import com.ruoyi.common.zqt.ZQTreeNode;
import com.ruoyi.system.domain.grid.GridCompany;
import com.ruoyi.system.domain.grid.GridShop;
import com.ruoyi.system.domain.system.SysOtherappAttachment;
import com.ruoyi.system.domain.visit.VisitFreePlanModel;

import java.util.List;

public class VisitFreePlanModelExt extends VisitFreePlanModel {

    private List<SysOtherappAttachment> otherappAttachments;

    private ZQTreeNode treeNode;

    private Long doneNum = 0L;

    private List<GridCompany> wsCompanies;

    private List<GridShop> wsShops;

    private String taskFlag;

    public String getTaskFlag() {
        return taskFlag;
    }

    public void setTaskFlag(String taskFlag) {
        this.taskFlag = taskFlag;
    }

    public List<GridCompany> getWsCompanies() {
        return wsCompanies;
    }

    public void setWsCompanies(List<GridCompany> wsCompanies) {
        this.wsCompanies = wsCompanies;
    }

    public List<GridShop> getGridShops() {
        return wsShops;
    }

    public void setGridShops(List<GridShop> wsShops) {
        this.wsShops = wsShops;
    }

    public Long getDoneNum() {
        return doneNum;
    }

    public void setDoneNum(Long doneNum) {
        this.doneNum = doneNum;
    }

    public ZQTreeNode getTreeNode() {
        return treeNode;
    }

    public void setTreeNode(ZQTreeNode treeNode) {
        this.treeNode = treeNode;
    }

    public List<SysOtherappAttachment> getOtherappAttachments() {
        return otherappAttachments;
    }

    public void setOtherappAttachments(List<SysOtherappAttachment> otherappAttachments) {
        this.otherappAttachments = otherappAttachments;
    }
}
